# Class CIM_Location
extends CIM_ManagedElement

The Location class specifies the position and address of a PhysicalElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Location

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The Location class specifies the position and address of a PhysicalElement.
UMLPackagePath | string | CIM::Core::Physical
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Address | string |
Description | string | Address is a free-form string indicating a street, building, or other type of address for the location of the PhysicalElement.
MaxLen | uint32 | 1024
Name | string |
Description | string | Name is a free-form string defining a label for the Location. It is a part of the key for the object.
Key | boolean | true
MaxLen | uint32 | 256
PhysicalPosition | string |
Description | string | Position is a free-form string that indicates the placement of a PhysicalElement. It can specify slot information on a HostingBoard, mounting site in a Cabinet, or latitude and longitude information, for example, from a GPS. It is part of the key of the Location object.
Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods